Arduino

Reference Language | Libraries | Comparison | Changes

GSM : GSM class

## shutdown()

#### Description

Disconnects from the GSM network identified on the SIM card by powering the modem off.

#### Syntax

gsm.shutdown()

#### Parameters

none

#### Returns

boolean : 0 while executing, 1 when successful

#### Example

#include <GSM.h>
#define PINNUMBER ""
GSM gsm; // include a 'true' parameter for debug enabled
void setup()
{
// initialize serial communications
Serial.begin(9600);
// connection state
boolean notConnected = true;
// Start GSM shield
// If your SIM has PIN, pass it as a parameter of begin() in quotes
while(notConnected)
{
if(gsm.begin(PINNUMBER)==GSM_READY)
notConnected = false;
else
{
Serial.println("Not connected");
delay(1000);
}
}
Serial.println("GSM initialized");
gsm.shutdown();
Serial.println("GSM terminated");
}
void loop()
{
}
[Get Code]

#### See Also

- begin()
- GSM constructor

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers